---
lang: en
title: 'API docs: repository.arraytype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.arraytype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ArrayType](./repository.arraytype.md)

## ArrayType class

Array type, such as string\[\]

<b>Signature:</b>

```typescript
export declare class ArrayType<T> implements Type<T[]> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(itemType)](./repository.arraytype._constructor_.md) |  | Constructs a new instance of the <code>ArrayType</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [itemType](./repository.arraytype.itemtype.md) |  | <code>Type&lt;T&gt;</code> |  |
|  [name](./repository.arraytype.name.md) |  | <code></code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [coerce(value)](./repository.arraytype.coerce.md) |  |  |
|  [defaultValue()](./repository.arraytype.defaultvalue.md) |  |  |
|  [isCoercible(value)](./repository.arraytype.iscoercible.md) |  |  |
|  [isInstance(value)](./repository.arraytype.isinstance.md) |  |  |
|  [serialize(value)](./repository.arraytype.serialize.md) |  |  |


